CollectionsDirect DebitCollections

Get a Direct Debit Collection

GET
/v1/direct-debit-payments/{id}

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Path Parameters

id*string

Response Body

*/*

curl -X GET "https://example.com/v1/direct-debit-payments/string"
{  "amount": 0,  "batchId": "string",  "createdAt": "string",  "currency": "string",  "customerReference": "string",  "directDebitAuthorizationId": "string",  "directDebitAuthorizationInformation": {    "billReferenceNumber": "string",    "internalAccountId": "string",    "payerBankAccountNumber": "string",    "payerName": "string",    "payerSwiftBic": "string"  },  "id": "string",  "metadata": {    "fileName": "string"  },  "paymentDate": "string",  "previousPaymentStatus": "string",  "receiver": {    "bankAccountNumber": "string"  },  "resultCode": "string",  "status": "string",  "type": "string",  "underlyingErrorMessage": "string",  "updatedAt": "string"}